import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class LookAndFeel extends JFrame implements ActionListener
{
	// Globale Bezeichner fr Look and Feel
	// Metal
	static String metal="javax.swing.plaf.metal.MetalLookAndFeel";
	// Windows
	static String windows="com.sun.java.swing.plaf.windows.WindowsLookAndFeel";
	// Motif
	static String motif="com.sun.java.swing.plaf.motif.MotifLookAndFeel";
	// Macintosh
	static String macintosh="javax.swing.plaf.mac.MacLookAndFeel";
	//Einfgen von Button
	static JButton mebutton=new JButton("Metal");
	static JButton webutton=new JButton("Windows");
	static JButton mobutton=new JButton("Motif");
	static JButton mabutton=new JButton("Macintosh");
	// Einfgen von Eintrge in einem Array-Liste
	final static String[] eintraege=new String[]{"Eintrag 1", "Eintrag 2"};
	// Erzeugen ein Objekt von Typ JComboBox
	static JComboBox cbox=new JComboBox(eintraege);
	// Erzeugen ein Objekt von Typ JPanel
	static JPanel oben=new JPanel();
	static JPanel unten=new JPanel();
	// Konstruktor der Klasse LookAndFeel
	public LookAndFeel()
	{
		// Titel der Application
		super("Look-And-Feel-Demonstration");
		// Content pane ermittlen
		Container cp = getContentPane();
		// Einfgen von Button in den unten-Panel
		unten.add(mebutton); unten.add(webutton);
		unten.add(mobutton); unten.add(mabutton);
		// Layout bestimmen
		cp.setLayout(new BorderLayout());
		//Einfgen von Elementen in den Layout-Teilen
		cp.add(oben,BorderLayout.NORTH);
		cp.add(cbox,BorderLayout.CENTER);
		cp.add(unten,BorderLayout.SOUTH);
		//Verbinden den AktionListener mit den Buttons
		mebutton.addActionListener(this);
		webutton.addActionListener(this);
		mobutton.addActionListener(this);
		mabutton.addActionListener(this);
		// Erzeugen einen Objekt von der Klasse Toolbar
		Toolbar tbl=new Toolbar();
		// Content pane festlegen
		setContentPane(cp);
	}
	// Erzeugen einer Klasse von Typ JToolbar
	public class Toolbar
	{
		public Toolbar()
		{
			// Erzeugen einen Objekt von JToolBar
			JToolBar toolb=new JToolBar();
			// Die Buttons mit Bilder bestken
			JButton btn1=new JButton(new ImageIcon("new.gif"));
			JButton btn2=new JButton(new ImageIcon("open.gif"));
			JButton btn3=new JButton(new ImageIcon("save.gif"));
			JButton btn4=new JButton(new ImageIcon("cut.gif"));
			JButton btn5=new JButton(new ImageIcon("copy.gif"));
			JButton btn6=new JButton(new ImageIcon("paste.gif"));
			// Den Bilder einen Text hinzuweisen
			btn1.setToolTipText("Erzeugt eine neue Datei");
			btn2.setToolTipText("ffnet eine vorhandene Datei");
			btn3.setToolTipText("Speichere die vorhandene Datei");
			btn4.setToolTipText("Schneide markierte Block aus");
			btn5.setToolTipText("Kopiere markierte Block");
			btn6.setToolTipText("Fge den kopierten Block ein");
			toolb.setFloatable(false);
			// Einfgen von Elemente in ToolBar
			toolb.add(btn1);	toolb.add(btn2);	toolb.add(btn3);
			toolb.addSeparator();
			toolb.add(btn4);	toolb.add(btn5);	toolb.add(btn6);
			// Positionieren von Toolbar
			toolb.setOrientation(SwingConstants.HORIZONTAL);
			oben.add(toolb);
		}
	}
	// Methode fr die Ereigniswchter
	public void actionPerformed(ActionEvent ae)
	{
		Object quelle=ae.getSource();
		// Erzeugen von Look And Feel von Metal
		if (quelle==mebutton)
		{
			try
			{
				this.setTitle("Look and Feel: Metal");
				UIManager.setLookAndFeel(metal);

			}
			catch(Exception e)
			{
				this.setTitle("Hat leider nicht geklappt");
			}
			// alle Komponenten in einem neuen Erscheinungsbild aufbauen
			SwingUtilities.updateComponentTreeUI(this.getContentPane());
		}
		// Erzeugen von Look And Feel von Windows
		if (quelle==webutton)
		{
			try
			{
				this.setTitle("Look and Feel: Windows");
				UIManager.setLookAndFeel(windows);

			}
			catch (Exception e)
			{
				this.setTitle("Hat leider nicht geklappt");
			}
			// alle Komponenten in einem neuen Erscheinungsbild aufbauen
			SwingUtilities.updateComponentTreeUI(this.getContentPane());
		}
		// Erzeugen von Look And Feel von Motif
		if (quelle==mobutton)
		{
			try
			{
				this.setTitle("Look and Feel: Motif");
				UIManager.setLookAndFeel(motif);

			}
			catch (Exception e)
			{
				this.setTitle("Hat leider nicht geklappt");
			}
			// alle Komponenten in einem neuen Erscheinungsbild aufbauen
			SwingUtilities.updateComponentTreeUI(this.getContentPane());
		}
		// Erzeugen von Look And Feel von Macintosh
		if (quelle==mabutton)
		{
			try
			{
				this.setTitle("Look and Feel: Macintosh");
				UIManager.setLookAndFeel(macintosh);

			}
			catch (Exception e)
			{
				this.setTitle("Hat leider nicht geklappt");
			}
			// alle Komponenten in einem neuen Erscheinungsbild aufbauen
			SwingUtilities.updateComponentTreeUI(this.getContentPane());
		}
	}
		// Einrichten von main-Methode
		public static void main(String[] args)
		{
			JFrame rahmen = new LookAndFeel();
			WindowListener listener = new WindowAdapter()
			{
				public void windowsClosing(WindowEvent we)
				{
					System.exit(0);
				}
			};
			rahmen.addWindowListener(listener);
			rahmen.setSize(400,100);
			rahmen.pack();
			rahmen.setVisible(true);
		}
}